One Trading API
REST API
WebSocket API
REST API
WebSocket API
  1. Trading
  • Public
    • Currencies
      GET
    • Instruments
      GET
    • Candlesticks
      GET
    • Fee Groups
      GET
    • Order Book
      GET
    • Market Ticker
      GET
    • Market Ticker For Instrument
      GET
    • Time
      GET
  • Trading
    • Get Orders
      GET
    • Create Order
      POST
    • Get Order by Client ID
      GET
    • Get Order by Order ID
      GET
    • Balances
      GET
    • Subaccounts
      GET
    • Fees
      GET
    • Get Trades for Order
      GET
    • Get Trade by Trade ID
      GET
    • Get Trades
      GET
    • Cancel All Orders
      DELETE
    • Cancel Order by Order ID
      DELETE
    • Cancel Order by Client ID
      DELETE
    • Get Exotic Orders (TP/SL)
      GET
    • Create Exotic Order (TP/SL)
      POST
    • Update Exotic Order (TP/SL)
      PATCH
    • Cancel Exotic Order (TP/SL)
      DELETE
  • Futures
    • Introduction
    • Funding Rate Methodology
    • Funding Payments
      GET
    • Positions
      GET
    • Position Funding Payments
      GET
    • Funding Rate Settings
      GET
    • Get Futures Open Positions
      GET
    • Futures Portfolio Summary
      GET
    • Current Funding Rate
      GET
    • Funding Rate History
      GET
    • Funding Schedule
      GET
  • Funding
    • Transfer Subaccount Balance
      POST
    • Get Transactions
      GET
    • Get Deposit Addresses
      GET
    • Create Deposit Address
      POST
  1. Trading

Fees

GET
https://api.onetrading.com/fast/v1/account/fees
Current fees for the account. Traded volume is combined across the main account and all its subaccounts, so every account of the same account holder gets the same fee tier.
There are separate fee bands for each product type (SPOT and FUTURES).
Required API scope: any valid API key.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.onetrading.com/fast/v1/account/fees' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success Example
{
    "account_id": "726288e6-a463-4f88-9068-024ae8f97a34",
    "running_volumes": [
        {
            "fee_group_id": "SPOT",
            "volume": 349.68,
            "currency": "EUR"
        },
        {
            "fee_group_id": "FUTURES",
            "volume": 149.31,
            "currency": "EUR"
        }
    ],
    "active_fee_tiers": [
        {
            "fee_group_id": "SPOT",
            "volume": 0,
            "maker_fee": "0.1000",
            "taker_fee": "0.2000"
        },
        {
            "fee_group_id": "FUTURES",
            "volume": 0,
            "maker_fee": "0.1000",
            "taker_fee": "0.2000"
        }
    ]
}
Previous
Subaccounts
Next
Get Trades for Order
Built with